### Function

# Gio SettingsBackend get_default

since: 2.28

#### Declaration [src]

    GSettingsBackend*
    g_settings_backend_get_default (
      void
    )

#### Description [src]

Returns the default `GSettingsBackend`. It is possible to override the default by setting the `GSETTINGS_BACKEND` environment variable to the name of a settings backend.

The user gets a reference to the backend.

Available since: 2.28

#### Return value

Type: `GSettingsBackend`

The default `GSettingsBackend`, which will be a dummy (memory) settings backend if no other settings backend is available.

The caller of the function takes ownership of the data, and is responsible for freeing it.